package se.gawell.fakeriak.buckets;

import java.util.concurrent.ConcurrentHashMap;

public class InMemoryBucket implements Bucket {

	private ConcurrentHashMap<String, String> concurrentHashMap = new ConcurrentHashMap<String, String>();
	
	@Override
	public void put(String key, String data) {
		concurrentHashMap.put(key, data);
	}

	@Override
	public String get(String key) {
		return concurrentHashMap.get(key);
	}

	@Override
	public void remove(String key) {
		concurrentHashMap.remove(key);
	}

}
