package se.gawell.fakeriak.buckets;

import java.util.concurrent.ConcurrentHashMap;

public class InMemoryBuckets implements Buckets {

	private ConcurrentHashMap<String, Bucket> concurrentHashMap = new ConcurrentHashMap<String, Bucket>();
	
	@Override
	public Bucket get(String bucketName) {
		return concurrentHashMap.get(bucketName);
	}

	@Override
	public void put(String bucketName, Bucket bucket) {
		concurrentHashMap.put(bucketName, bucket);
	}

}
